## indi 1.9.9+dfsg

=== drivers/CMakeLists.txt ===
add_subdirectory(telescope)
add_subdirectory(ccd)
add_subdirectory(focuser)
add_subdirectory(rotator)
add_subdirectory(filter_wheel)
add_subdirectory(dome)
add_subdirectory(auxiliary)
add_subdirectory(receiver)
add_subdirectory(weather)
add_subdirectory(agent)
add_subdirectory(video)
