=== debian/changelog ===
indi (1.9.9+dfsg-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + libindi-dev: Add Multi-Arch: same.

  [ Pino Toscano ]
  * Backport part of upstream commit fa9958ea403e444bc9a50d5722789b0b66b33c28
    to add an include needed to build on non-Linux platforms, fixing the build
    on Hurd for good; patch non_linux_include.diff.

 -- Pino Toscano <pino@debian.org>  Thu, 25 Sep 2025 07:22:01 +0200

indi (1.9.9+dfsg-4) unstable; urgency=medium

  * Bump Standards-Version to 4.7.2, no changes required.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Backport upstream commit 01b147be9bd373730fd48cdc0003b1312363164f to add
    missing #includes, particularly needed when building with GCC 15; patch
    upstream_Add-includes-to-fix-build-with-GCC15-C-23-2165.patch.
    (Closes: #1096834)
  * Switch the transitional pkg-config build dependency to pkgconf.
  * Backport upstream commit 3078819674133ece01cb271d32b8cfe446adf706 to fix
    build on Hurd; patch upstream_Fix-build-on-non-Linux-1795.patch
    - drop patch hurd_include.diff, obsolete

 -- Pino Toscano <pino@debian.org>  Sat, 20 Sep 2025 08:47:35 +0200
