=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%indi-$1.tar.gz%, repacksuffix=+dfsg, dversionmangle=s/\+dfsg\d*$//" \
  https://github.com/indilib/indi/tags \
  (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
